# Revision history for phonetic-languages-simplified-properties-array

## 0.1.0.0 -- 2020-12-31

* First version. Released on an unsuspecting world.

## 0.1.1.0 -- 2021-01-02

* First version revised A. Changed the dependencies.

## 0.1.2.0 -- 2021-01-27

* First version revised B. Added new properties related to the new durations-related functionality in the ukrainian-phonetics-basic-array-0.1.2.0 package.

## 0.2.0.0 -- 2021-02-01

* Second version. Added new properties ("z"-line) to the modules. Some code generalization.

## 0.3.0.0 -- 2021-07-20

* Third version. Added new properties ("x"-line and "w"-line) to the module Phonetic.Languages.Array.Ukrainian.PropertiesSyllablesG2.
Changed the dependency boundaries for phonetic-languages-rhythmicity.

## 0.4.0.0 -- 2021-07-28

* Fourth version. Added new properties ("c"-, "u"-, "v"-, "s"- and "t"-lines) to the module Phonetic.Languages.Array.Ukrainian.PropertiesSyllablesG2.
Changed the dependency boundaries for phonetic-languages-rhythmicity.

## 0.4.1.0 -- 2021-07-30

* Fourth version revised A. Fixed issues with the fixed point of 1.0 (arising from the issue in the dependency package
phonetic-languages-rhythmicity).

## 0.4.2.0 -- 2021-07-31

* Fourth version revised B. Some code improvements (reduced duplication). Fixed inverse order of the '0' and
not '0' functions.

## 0.5.0.0 -- 2021-08-09

* Fifth version. Changed the behavior for the new recent properties added so that they are now more linearized.
Changed the dependency boundaries for the package phonetic-languages-rhythmicity.

## 0.6.0.0 -- 2021-08-14

* Sixth version. Added new properties lines of "C", "N", "W", "X", "Y", "Z" and updated some previous ones to
use the possibilities of the weighted improtance of lines (just some experimental functions at the moment).
Changed the dependency boundaries of phonetic-languages-rhythmicity.

## 0.7.0.0 -- 2021-08-16

* Seventh version. Some code improvements. Added also the properties with weighted functions that try to increase
the importance of the line ending and to decrease the importance of the beginnings.

## 0.8.0.0 -- 2021-08-17

* Eigth version. Fixed issues with wrong mapping. Some code improvements. Added also the properties with linear
weighted functions.

## 0.8.1.0 -- 2021-08-24

* Eigth version revised A. Switched to the new version of the phonetic-languages-rhythmicity that fixed the issues with
custom user defined new polyrhythmicity choices.

## 0.9.0.0 -- 2021-09-18

* Ninth version. Added the new functions that allows the user to define and use his / her own syllableDurationsD
functions. They are used with the properties encoding string starting with "H".

## 0.9.1.0 -- 2021-10-04

* Ninth version revised A. Some code improvements.

## 0.9.2.0 -- 2021-10-04

* Ninth version revised B. Changed the dependency boundaries and some documentation improvements.

## 0.10.0.0 -- 2021-10-30

* Tenth version. Switched to the Case.Hashable.Cuckoo.getBFstL' function where possible. Updated the dependencies boundaries.

## 0.11.0.0 -- 2021-10-31

* Eleventh version. Switched back to the CaseBi.Arr.getBFstLSorted' function.

## 0.12.0.0 -- 2021-11-04

* Twelth version. Switched to the Int8 representation. Updated the dependencies accordingly. Splitted the two main modules into
several ones with the similar name and some suffix. Made the main modules just reimporting the new ones.

## 0.12.1.0 -- 2022-01-16

* Twelth version revised A. Updated the dependency boundaries of the for just easier update of the dependent packages.

## 0.12.2.0 -- 2022-01-17

* Twelth version revised B. Updated the dependency boundaries of the for just easier update of the dependent packages.

## 0.13.0.0 -- 2022-02-21

* Thirteenth version. Added extended functionality. Changed the versioning policy.

## 0.13.1.0 -- 2022-03-24

* Thirteenth version revised A. Updated  the dependencies boundaries to support the latest GHC  and Cabal.

## 0.14.0.0 -- 2022-05-31

* Fourteenth version. Changed the dependencies so that the development is simplified. Moved the
versions of functions without extended usage of the optimization tuples to the other new 
package phonetic-languages-simplified-properties-old.

